<?php 
header("Content-Type: application/json");
$cxn = require_once "db_connection.php";
if ($cxn->connect_error) {
    echo json_encode(["error" => "Database connection failed"]);
    exit;
}

// Check if a specific ID is provided
if (isset($_GET['id']) && is_numeric($_GET['id'])) {
    $id = intval($_GET['id']); // Sanitize input

    $stmt = $cxn->prepare("SELECT * FROM celebrities WHERE celeb_id = ? AND is_active = true");
    $stmt->bind_param("i", $id);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $celebrity = $result->fetch_assoc();
        echo json_encode($celebrity);
    } else {
        echo json_encode(["error" => "Celebrity not found"]);
    }

    $stmt->close();
} else {
    // If no ID is provided, fetch all active celebrities
    $query = "SELECT * FROM celebrities WHERE is_active = true ORDER BY created_at ASC";
    $result = $cxn->query($query);

    if ($result) {
        $celebrities = [];
        while ($row = $result->fetch_assoc()) {
            $celebrities[] = $row;
        }
        echo json_encode($celebrities);
    } else {
        echo json_encode(["error" => "No celebrities found"]);
    }
}

$cxn->close();
?>
