<?php
// ini_set('display_errors', 1);
// ini_set('display_startup_errors', 1);
// error_reporting(E_ALL);

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Routing\RouteCollectorProxy;
use Slim\Factory\AppFactory;
use Slim\Psr7\Response as ResponseGroup;
use Psr\Http\Server\RequestHandlerInterface as RequestHandler;
use PHPMailer\PHPMailer\PHPMailer as PHPMailer;
use PHPMailer\PHPMailer\SMTP as SMTP;
use PHPMailer\PHPMailer\Exception as Exception;

require 'vendor/autoload.php';
$msgalert = null;
class hmailer{
    public $mail;
    function __construct(){
// Instantiation and passing `true` enables exceptions
    $this->mail = new PHPMailer(true);
    //Server settings
    $this->mail->SMTPDebug = SMTP::DEBUG_OFF;                      //Enable verbose debug output
    $this->mail->isSMTP();                                            //Send using SMTP
    $this->mail->Host       = 'byteguardsolutions.com';                    // Set the SMTP server to send through
    $this->mail->SMTPAuth   = true;                                   // Enable SMTP authentication
    $this->mail->Username   = 'support@byteguardsolutions.com';                     // SMTP username
    $this->mail->Password   = 'Numera@#2023';  
    $this->mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;         //Enable TLS encryption; `PHPMailer::ENCRYPTION_SMTPS` encouraged
    $this->mail->Port       = 465;                                    //TCP port to connect to, use 465 for `PHPMailer::ENCRYPTION_SMTPS` above

    //Recipients
    $this->mail->setFrom('support@byteguardsolutions.com', 'ByteGuard Solutions');
    $this->mail->addAddress('support@byteguardsolutions.com');               
    $this->mail->addReplyTo('support@byteguardsolutions.com', 'ByteGuard Solutions');
    }
    public function alert_mail($data, $randnum){
    $this->mail->isHTML(true);                                 
    $this->mail->Subject = 'New Case:'.$randnum.' Form -  ByteGuard Solutions';
    $this->mail->Body    = $this->confirm_mail_msg($data);

    try{$this->mail->send();
        return true;
    } catch (Exception $e) {
        return false;
    }
    }
   public function confirm_mail_msg($data){
       return '<div style="background-color:white; border:green solid 10px; color:black; display:block; width:100%; padding:10px; font-size:0.85em">
       <center><img src="https://byteguardsolutions.com/assets/images/favicon.png" height="70px"></center>
       <h3 style="color:green; text-align:center;">Welcome to ByteGuard Solutions</h3>
       <p style="text-align:center"><strong>Case Form Filled </strong></p>
       <p>
        <ul>
        <li>first Name: '.$data['fname'].'</li>
        <li>Last Name: '.$data['lname'].'</li>
        <li>Email: '.$data['email_address'].'</li>
        <li>Phone: '.$data['callingcode'].$data['phone_number'].'</li>
        <li>Country: '.$data['country'].'</li>
        <li>Cryptocurrency: '.$data['cryptocurrency'].'</li>
        <li>Amount: '.$data['amount'].'</li>
        <li>Case Report: '.$data['case_report'].'</li>
        </ul>
       </p>
       <br>
       <small><em>The ByteGuard Solutions Team</em></small>
       </div>';
   }
}

if(isset($_POST['send_report'])){
    $hmailer = new Hmailer;
    $randn = rand(000,999999);
    if($hmailer->alert_mail($_POST,$randn)){
        $msgalert = true; 
    }else{
        $msgalert = false; 
    }							
}

require 'vendor/autoload.php';
$app = AppFactory::create();
function getTemplate($url,$alert,$response){
    $countries = json_decode(file_get_contents('countries.json'), true);
    $celebrities = include('data/fetch.php');
    $services = json_decode(file_get_contents('data/services.json'), true);
    $news = json_decode(file_get_contents('data/news.json'), true);
    $faqs = json_decode(file_get_contents('data/faqs.json'), true);
    if($url == 'single-services'){
        $active_service = [];
        foreach($services as $service){
        if('/services'.'/'.str_replace(' ','_',$service['title']) == $_SERVER['REQUEST_URI']){
         $active_service = $service;
         break;
        }
       }
       
       if(empty($active_service)){
         return $response->withHeader('Location', '/')->withStatus(302);
       }
    }
    if($url == 'single-news'){
        $active_news = [];
        foreach($news as $new){
        if('/news'.'/'.$new['slug'] == $_SERVER['REQUEST_URI']){
         $active_new = $new;
         break;
        }
       }
       
       if(empty($active_new)){
         return $response->withHeader('Location', '/news')->withStatus(302);
       }
    }
    if($alert !== null){
        if($alert){
            echo '<script>Swal.fire({
                title: "Congratulations!",
                text: "Your Report has been filed, please check your email for more information and update on your case!",
                icon: "success"
              });</script>';
        }else{
            echo '<script>Swal.fire({
                title: "Ops! Error Ocurred",
                text: "Unable to file a report, try again!",
                icon: "error"
              });</script>';
        }
    }
    ob_start();
    include "layout/header.php";
    include "views/$url.php";
    include 'layout/footer.php';
    $content = ob_get_clean();
    $response->getBody()->write($content);
}

$app->any('/', function (Request $request, Response $response, $args) use ($msgalert) {
    getTemplate('index',$msgalert, $response);
    return $response;
});
$app->any('/contact', function (Request $request, Response $response, $args) use ($msgalert) {
    getTemplate('contact',$msgalert, $response);
    return $response;
});
$app->any('/apply_loan', function (Request $request, Response $response, $args) use ($msgalert) {
    getTemplate('apply_loan',$msgalert, $response);
    return $response;
});
$app->any('/services/{service}', function (Request $request, Response $response, $args) use ($msgalert) {
    getTemplate('single-services',$msgalert, $response);
    return $response;
});
$app->any('/news-article', function (Request $request, Response $response, $args) use ($msgalert) {
    getTemplate('news',$msgalert, $response);
    return $response;
});
$app->any('/news/{slug}', function (Request $request, Response $response, $args) use ($msgalert) {
    getTemplate('single-news',$msgalert, $response);
    return $response;
});
$app->any('/about', function (Request $request, Response $response, $args) use ($msgalert) {
    getTemplate('about',$msgalert, $response);
    return $response;
});
$app->any('/meme', function (Request $request, Response $response, $args) use ($msgalert) {
    getTemplate('meme',$msgalert, $response);
    return $response;
});
$app->any('/news', function (Request $request, Response $response, $args) use ($msgalert) {
    getTemplate('news',$msgalert, $response);
    return $response;
});
$app->any('/career', function (Request $request, Response $response, $args) use ($msgalert) {
    getTemplate('career',$msgalert, $response);
    return $response;
});

$app->run();
