<!DOCTYPE html>
<html lang="zxx">
<head>
<meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Invest in Future Opportunities | Government & Private Sector Partnership</title>
  <meta name="description" content="Explore investment opportunities and government-backed services that help citizens grow financially, stay informed, and receive their benefits. From real estate to renewable energy, find options that can lead to a brighter future.">
  <meta name="keywords" content="investment, real estate, meme coin, loans, veteran loans, small business loans, golden card, medical cannabis stocks, renewable energy, technology grants, global trade, foreign policy, economic growth, financial growth, tax benefits">
  <meta name="author" content="Government & Private Sector Partnership">
  
  <!-- Open Graph Meta Tags -->
  <meta property="og:type" content="website">
  <meta property="og:title" content="Invest in Future Opportunities | Government & Private Sector Partnership">
  <meta property="og:description" content="Explore investment opportunities and government-backed services that help citizens grow financially, stay informed, and receive their benefits. From real estate to renewable energy, find options that can lead to a brighter future.">
  <meta property="og:url" content="https://www.djtcampaign.org">
  <meta property="og:image" content="https://www.djtcampaign.org/images/socials.webp">
  <meta property="og:image:alt" content="Invest in Future Opportunities">
  
  <!-- Twitter Card Meta Tags -->
  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:title" content="Invest in Future Opportunities | Government & Private Sector Partnership">
  <meta name="twitter:description" content="Explore investment opportunities and government-backed services that help citizens grow financially, stay informed, and receive their benefits. From real estate to renewable energy, find options that can lead to a brighter future.">
  <meta name="twitter:image" content="https://www.djtcampaign.org/images/socials.webp">
	<!-- Favicon Icon -->
	<link rel="shortcut icon" type="image/x-icon" href="/images/favicon.png">
	<!-- Google Fonts Css-->
	<link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin="">
    <link href="../css2?family=Manrope:wght@200..800&family=Urbanist:ital,wght@0,100..900;1,100..900&display=swap" rel="stylesheet">
	<!-- Bootstrap Css -->
	<link href="/css/bootstrap.min.css" rel="stylesheet" media="screen">
	<!-- SlickNav Css -->
	<link href="/css/slicknav.min.css" rel="stylesheet">
	<!-- Swiper Css -->
	<link rel="stylesheet" href="/css/swiper-bundle.min.css">
	<!-- Font Awesome Icon Css-->
	<link href="/css/all.min.css" rel="stylesheet" media="screen">
	<!-- Animated Css -->
	<link href="/css/animate.css" rel="stylesheet">
    <!-- Magnific Popup Core Css File -->
	<link rel="stylesheet" href="/css/magnific-popup.css">
	<!-- Mouse Cursor Css File -->
	<link rel="stylesheet" href="/css/mousecursor.css">
	<!-- Main Custom Css -->
	<link href="/css/custom.css" rel="stylesheet" media="screen">
</head>
<body>

    <!-- Preloader Start -->
	<div class="preloader" style="background-color:#032642">
		<div class="loading-container">
			<div class="loading"></div>
			<div id="loading-icon"></div>
		</div>
	</div>
	<!-- Preloader End -->

    <!-- Topbar Section Start -->
    <div class="topbar">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-md-7">
                    <!-- Topbar Contact Information Start -->
                    <div class="topbar-contact-info">
                        <ul>
                            <li><img src="images/icon-mail.svg" alt=""><a href="mailto:info@djtcampaign.org">info@djtcampaign.org</a></li>
                        </ul>
                    </div>
                    <!-- Topbar Contact Information End -->
                </div>

                <div class="col-md-5">
                    <!-- Header Social Icons Start -->
                    <div class="topbar-social-icons">
                        <ul>
                            <li><a href="#"><i class="fa-brands fa-instagram"></i></a></li>
                            <li><a href="#"><i class="fa-brands fa-facebook-f"></i></a></li>
                            <li><a href="#"><i class="fa-brands fa-dribbble"></i></a></li>
                        </ul>
                    </div>
                    <!-- Header Social Icons End -->                
                </div>
            </div>
        </div>
    </div>
    <!-- Topbar Section End -->

    <!-- Header Start -->
	<header class="main-header">
		<div class="header-sticky">
			<nav class="navbar navbar-expand-lg">
				<div class="container">
					<!-- Logo Start -->
					<a class="navbar-brand" href="/">
						<img src="/images/logo.svg" alt="Logo">
					</a>
					<!-- Logo End -->

					<!-- Main Menu Start -->
					<div class="collapse navbar-collapse main-menu">
                        <div class="nav-menu-wrapper">
                            <ul class="navbar-nav mr-auto" id="menu">
                                <li class="nav-item"><a class="nav-link" href="/">Home</a>
                                </li>                                
                                <li class="nav-item"><a class="nav-link" href="/about">About Us</a>
                                <li class="nav-item submenu"><a class="nav-link">Our Objectives</a>
                                <ul>          
                                <?php foreach($services as $service){ ?>                              
                                        <li class="nav-item"><a class="nav-link" href="/services/<?php echo str_replace(' ', '_', $service['title']); ?>"><?php echo $service['title']; ?></a></li>
                                        <?php } ?>
                                    </ul>
                                </li>
                                <li class="nav-item"><a class="nav-link" href="/meme">MEME Coin</a></li>
                                <li class="nav-item submenu"><a class="nav-link" href="/news">News</a>
                                <ul>          
                                <?php foreach($news as $new){ ?>                              
                                        <li class="nav-item"><a class="nav-link" href="/news/<?php echo $new['slug']; ?>"><?php echo $new['title']; ?></a></li>
                                        <?php } ?>
                                    </ul>
                            
                            </li>
                                <li class="nav-item"><a class="nav-link" href="/career">Career</a></li>
                                <li class="nav-item"><a class="nav-link" href="/contact">Contact Us</a></li>
                            </ul>
                        </div>
                        <!-- Header Btn Start -->
                        <div class="header-btn d-inline-flex">
                            <a href="/apply_loan" class="btn-default">Apply for Loan</a>
                        </div>
                        <!-- Header Btn End -->
					</div>
					<!-- Main Menu End -->
					<div class="navbar-toggle"></div>
				</div>
			</nav>
			<div class="responsive-menu"></div>
		</div>
	</header>
	<!-- Header End -->
